All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface Select

All Superinterfaces:
  AbstractTransformation, ClassifierMap, CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root, Transformation

    public interface Select

extends ClassifierMap

Used to document an SQL select statement.

Attributes of Select are:

- `IsParseAllowed`
- `IsSubstitutionAllowed`

Associations of Select are:

- `GroupByForSelect`
- `HavingForSelect`
- `OrderByForSelect`
- `WhereForSelect`

## Usage

To create an instance of this Select, use the `factory` create methods.
Example: create a Select with name "Select_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Select myObject = (Select) factory.createComplexMetadataObject(objectStore, "Select_Object", MetadataObjects.SELECT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_GROUPBYFORSELECT_NAME` Constant used for the name of the GroupByForSelect association.
`static java.lang.String` | `ASSOCIATION_HAVINGFORSELECT_NAME` Constant used for the name of the HavingForSelect association.
`static java.lang.String` | `ASSOCIATION_ORDERBYFORSELECT_NAME` Constant used for the name of the OrderByForSelect association.
`static java.lang.String` | `ASSOCIATION_WHEREFORSELECT_NAME` Constant used for the name of the WhereForSelect association.
`static java.lang.String` | `ATTRIBUTE_ISPARSEALLOWED_NAME` Constant used for the name of the IsParseAllowed attribute.
`static java.lang.String` | `ATTRIBUTE_ISSUBSTITUTIONALLOWED_NAME` Constant used for the name of the IsSubstitutionAllowed attribute.

Fields inherited from interface com.sas.metadata.remote.ClassifierMap
`ASSOCIATION_ASSOCIATEDROWSELECTOR_NAME, ASSOCIATION_CLASSIFIERSOURCES_NAME, ASSOCIATION_CLASSIFIERTARGETS_NAME, ASSOCIATION_FEATUREMAPS_NAME`

Fields inherited from interface com.sas.metadata.remote.Transformation
`ASSOCIATION_ASSOCIATEDPROMPT_NAME, ASSOCIATION_STEPS_NAME`

Fields inherited from interface com.sas.metadata.remote.AbstractTransformation
`ASSOCIATION_COMPUTELOCATIONS_NAME, ASSOCIATION_CONDITIONACTIONSETS_NAME, ASSOCIATION_CUSTOMIZERS_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_SOURCECODE_NAME, ASSOCIATION_SOURCESPECIFICATIONS_NAME, ASSOCIATION_SUBSTITUTIONVARIABLES_NAME, ASSOCIATION_TARGETSPECIFICATIONS_NAME, ASSOCIATION_TRANSFORMATIONSOURCES_NAME, ASSOCIATION_TRANSFORMATIONTARGETS_NAME, ASSOCIATION_TRIGGEREDEVENTS_NAME, ASSOCIATION_TRIGGERINGEVENTS_NAME, ATTRIBUTE_ISACTIVE_NAME, ATTRIBUTE_ISUSERDEFINED_NAME, ATTRIBUTE_TRANSFORMROLE_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`GroupByClause` | `getGroupByForSelect()` Gets the `GroupByClause` for `GroupByForSelect`
`AssociationList` | `getGroupByForSelects()` Gets the Association list of `GroupByForSelects`
`AssociationList` | `getGroupByForSelects(boolean fGoToServer)` Gets the Associationlist of `GroupByForSelects`
`HavingClause` | `getHavingForSelect()` Gets the `HavingClause` for `HavingForSelect`
`AssociationList` | `getHavingForSelects()` Gets the Association list of `HavingForSelects`
`AssociationList` | `getHavingForSelects(boolean fGoToServer)` Gets the Associationlist of `HavingForSelects`
`int` | `getIsParseAllowed()` Gets the `int` value of `IsParseAllowed`
`int` | `getIsParseAllowedState()` Gets the Metadata State of `IsParseAllowed`
`int` | `getIsSubstitutionAllowed()` Gets the `int` value of `IsSubstitutionAllowed`
`int` | `getIsSubstitutionAllowedState()` Gets the Metadata State of `IsSubstitutionAllowed`
`OrderByClause` | `getOrderByForSelect()` Gets the `OrderByClause` for `OrderByForSelect`
`AssociationList` | `getOrderByForSelects()` Gets the Association list of `OrderByForSelects`
`AssociationList` | `getOrderByForSelects(boolean fGoToServer)` Gets the Associationlist of `OrderByForSelects`
`WhereClause` | `getWhereForSelect()` Gets the `WhereClause` for `WhereForSelect`
`AssociationList` | `getWhereForSelects()` Gets the Association list of `WhereForSelects`
`AssociationList` | `getWhereForSelects(boolean fGoToServer)` Gets the Associationlist of `WhereForSelects`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setGroupByForSelect(GroupByClause inObject)` Sets the `GroupByForSelects` list 0th element to be `inObject`.
`void` | `setGroupByForSelects(AssociationList list)` Sets the `GroupByForSelects` list to be `list`.
`void` | `setGroupByForSelects(AssociationList list, int state)` Sets the `GroupByForSelects` list to be `list`.
`void` | `setHavingForSelect(HavingClause inObject)` Sets the `HavingForSelects` list 0th element to be `inObject`.
`void` | `setHavingForSelects(AssociationList list)` Sets the `HavingForSelects` list to be `list`.
`void` | `setHavingForSelects(AssociationList list, int state)` Sets the `HavingForSelects` list to be `list`.
`void` | `setIsParseAllowed(int inIsParseAllowed)` Sets the `IsParseAllowed` value and sets the state to MetadataState.LOCAL.
`void` | `setIsParseAllowed(int inIsParseAllowed, int state)` Sets the `IsParseAllowed` Metadata State.
`void` | `setIsParseAllowed(java.lang.String inIsParseAllowed)` Sets the `IsParseAllowed` value and sets the state to MetadataState.LOCAL.
`void` | `setIsParseAllowed(java.lang.String inIsParseAllowed, int state)` Sets the `IsParseAllowed` value and Metadata State.
`void` | `setIsParseAllowedState(int state)` Sets the Metadata State of `IsParseAllowed`.
`void` | `setIsSubstitutionAllowed(int inIsSubstitutionAllowed)` Sets the `IsSubstitutionAllowed` value and sets the state to MetadataState.LOCAL.
`void` | `setIsSubstitutionAllowed(int inIsSubstitutionAllowed, int state)` Sets the `IsSubstitutionAllowed` Metadata State.
`void` | `setIsSubstitutionAllowed(java.lang.String inIsSubstitutionAllowed)` Sets the `IsSubstitutionAllowed` value and sets the state to MetadataState.LOCAL.
`void` | `setIsSubstitutionAllowed(java.lang.String inIsSubstitutionAllowed, int state)` Sets the `IsSubstitutionAllowed` value and Metadata State.
`void` | `setIsSubstitutionAllowedState(int state)` Sets the Metadata State of `IsSubstitutionAllowed`.
`void` | `setOrderByForSelect(OrderByClause inObject)` Sets the `OrderByForSelects` list 0th element to be `inObject`.
`void` | `setOrderByForSelects(AssociationList list)` Sets the `OrderByForSelects` list to be `list`.
`void` | `setOrderByForSelects(AssociationList list, int state)` Sets the `OrderByForSelects` list to be `list`.
`void` | `setWhereForSelect(WhereClause inObject)` Sets the `WhereForSelects` list 0th element to be `inObject`.
`void` | `setWhereForSelects(AssociationList list)` Sets the `WhereForSelects` list to be `list`.
`void` | `setWhereForSelects(AssociationList list, int state)` Sets the `WhereForSelects` list to be `list`.

Methods inherited from interface com.sas.metadata.remote.ClassifierMap
`getAssociatedRowSelector, getAssociatedRowSelectors, getAssociatedRowSelectors, getClassifierSources, getClassifierSources, getClassifierTargets, getClassifierTargets, getFeatureMaps, getFeatureMaps, setAssociatedRowSelector, setAssociatedRowSelectors, setAssociatedRowSelectors, setClassifierSources, setClassifierSources, setClassifierTargets, setClassifierTargets, setFeatureMaps, setFeatureMaps`

Methods inherited from interface com.sas.metadata.remote.Transformation
`getAssociatedPrompt, getAssociatedPrompts, getAssociatedPrompts, getSteps, getSteps, setAssociatedPrompt, setAssociatedPrompts, setAssociatedPrompts, setSteps, setSteps`

Methods inherited from interface com.sas.metadata.remote.AbstractTransformation
`getComputeLocations, getComputeLocations, getConditionActionSets, getConditionActionSets, getCustomizers, getCustomizers, getDeployedComponents, getDeployedComponents, getIsActive, getIsActiveState, getIsUserDefined, getIsUserDefinedState, getSourceCode, getSourceCodes, getSourceCodes, getSourceSpecifications, getSourceSpecifications, getSubstitutionVariables, getSubstitutionVariables, getTargetSpecifications, getTargetSpecifications, getTransformationSources, getTransformationSources, getTransformationTargets, getTransformationTargets, getTransformRole, getTransformRoleMaxLength, getTransformRoleState, getTriggeredEvents, getTriggeredEvents, getTriggeringEvents, getTriggeringEvents, setComputeLocations, setComputeLocations, setConditionActionSets, setConditionActionSets, setCustomizers, setCustomizers, setDeployedComponents, setDeployedComponents, setIsActive, setIsActive, setIsActive, setIsActive, setIsActiveState, setIsUserDefined, setIsUserDefined, setIsUserDefined, setIsUserDefined, setIsUserDefinedState, setSourceCode, setSourceCodes, setSourceCodes, setSourceSpecifications, setSourceSpecifications, setSubstitutionVariables, setSubstitutionVariables, setTargetSpecifications, setTargetSpecifications, setTransformationSources, setTransformationSources, setTransformationTargets, setTransformationTargets, setTransformRole, setTransformRole, setTransformRoleState, setTriggeredEvents, setTriggeredEvents, setTriggeringEvents, setTriggeringEvents`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ISPARSEALLOWED_NAME

    static final java.lang.String ATTRIBUTE_ISPARSEALLOWED_NAME

  Constant used for the name of the IsParseAllowed attribute.

  IsParseAllowed: If true then the query visuals should attempt to parse and display the query in a GUI manner. This provides a way to prevent incorrect parsing of a query.

  See Also:
    Constant Field Values

### ATTRIBUTE_ISSUBSTITUTIONALLOWED_NAME

    static final java.lang.String ATTRIBUTE_ISSUBSTITUTIONALLOWED_NAME

  Constant used for the name of the IsSubstitutionAllowed attribute.

  IsSubstitutionAllowed: If true then we may need to substitute physical names on the input sources before the query can be run. If true then this also implies that all of the inputs are maintained and correct. This would likely be set to false by any process that does not understand the Query's variable mechanism.

  See Also:
    Constant Field Values

### ASSOCIATION_GROUPBYFORSELECT_NAME

    static final java.lang.String ASSOCIATION_GROUPBYFORSELECT_NAME

  Constant used for the name of the GroupByForSelect association.

  GroupByForSelect: The groupby statement for the select object.

  See Also:
    Constant Field Values

### ASSOCIATION_HAVINGFORSELECT_NAME

    static final java.lang.String ASSOCIATION_HAVINGFORSELECT_NAME

  Constant used for the name of the HavingForSelect association.

  HavingForSelect: The having statement of this select object.

  See Also:
    Constant Field Values

### ASSOCIATION_ORDERBYFORSELECT_NAME

    static final java.lang.String ASSOCIATION_ORDERBYFORSELECT_NAME

  Constant used for the name of the OrderByForSelect association.

  OrderByForSelect: The orderby statement of the select object.

  See Also:
    Constant Field Values

### ASSOCIATION_WHEREFORSELECT_NAME

    static final java.lang.String ASSOCIATION_WHEREFORSELECT_NAME

  Constant used for the name of the WhereForSelect association.

  WhereForSelect: The where clause for this select object.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `AbstractTransformation`
  Specified by:
    `initializeRequiredObjects` in interface `ClassifierMap`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `Transformation`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `AbstractTransformation`
  Specified by:
    `initializePredObjects` in interface `ClassifierMap`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `Transformation`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsParseAllowed

    int getIsParseAllowed()
                          throws java.rmi.RemoteException

  Gets the `int` value of `IsParseAllowed`

  Returns:
    The `IsParseAllowed`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsParseAllowedState

    int getIsParseAllowedState()
                               throws java.rmi.RemoteException

  Gets the Metadata State of `IsParseAllowed`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsSubstitutionAllowed

    int getIsSubstitutionAllowed()
                                 throws java.rmi.RemoteException

  Gets the `int` value of `IsSubstitutionAllowed`

  Returns:
    The `IsSubstitutionAllowed`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsSubstitutionAllowedState

    int getIsSubstitutionAllowedState()
                                      throws java.rmi.RemoteException

  Gets the Metadata State of `IsSubstitutionAllowed`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getGroupByForSelects

    AssociationList getGroupByForSelects()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Association list of `GroupByForSelects`

  Returns:
    The AssociationList of `GroupByForSelects` which can be of type:
    GroupByClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getGroupByForSelect

    GroupByClause getGroupByForSelect()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the `GroupByClause` for `GroupByForSelect`

  Returns:
    The `GroupByClause` ( `null` if not set ) of `GroupByForSelect` which can be of type:
    GroupByClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getHavingForSelects

    AssociationList getHavingForSelects()
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Association list of `HavingForSelects`

  Returns:
    The AssociationList of `HavingForSelects` which can be of type:
    HavingClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getHavingForSelect

    HavingClause getHavingForSelect()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the `HavingClause` for `HavingForSelect`

  Returns:
    The `HavingClause` ( `null` if not set ) of `HavingForSelect` which can be of type:
    HavingClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOrderByForSelects

    AssociationList getOrderByForSelects()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Association list of `OrderByForSelects`

  Returns:
    The AssociationList of `OrderByForSelects` which can be of type:
    OrderByClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOrderByForSelect

    OrderByClause getOrderByForSelect()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the `OrderByClause` for `OrderByForSelect`

  Returns:
    The `OrderByClause` ( `null` if not set ) of `OrderByForSelect` which can be of type:
    OrderByClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getWhereForSelects

    AssociationList getWhereForSelects()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Association list of `WhereForSelects`

  Returns:
    The AssociationList of `WhereForSelects` which can be of type:
    WhereClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getWhereForSelect

    WhereClause getWhereForSelect()
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the `WhereClause` for `WhereForSelect`

  Returns:
    The `WhereClause` ( `null` if not set ) of `WhereForSelect` which can be of type:
    WhereClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getGroupByForSelects

    AssociationList getGroupByForSelects(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `GroupByForSelects`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `GroupByForSelects` which can be of type:
    GroupByClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getHavingForSelects

    AssociationList getHavingForSelects(boolean fGoToServer)
                                        throws java.rmi.RemoteException,
                                               MdException

  Gets the Associationlist of `HavingForSelects`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `HavingForSelects` which can be of type:
    HavingClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getOrderByForSelects

    AssociationList getOrderByForSelects(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `OrderByForSelects`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `OrderByForSelects` which can be of type:
    OrderByClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getWhereForSelects

    AssociationList getWhereForSelects(boolean fGoToServer)
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the Associationlist of `WhereForSelects`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `WhereForSelects` which can be of type:
    WhereClause
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setIsParseAllowed

    void setIsParseAllowed(int inIsParseAllowed)
                           throws java.rmi.RemoteException

  Sets the `IsParseAllowed` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsParseAllowed` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsParseAllowed

    void setIsParseAllowed(int inIsParseAllowed,
                           int state)
                           throws java.rmi.RemoteException

  Sets the `IsParseAllowed` Metadata State.

  Parameters:
    `inIsParseAllowed` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsParseAllowed

    void setIsParseAllowed(java.lang.String inIsParseAllowed)
                           throws java.rmi.RemoteException

  Sets the `IsParseAllowed` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsParseAllowed` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsParseAllowed

    void setIsParseAllowed(java.lang.String inIsParseAllowed,
                           int state)
                           throws java.rmi.RemoteException

  Sets the `IsParseAllowed` value and Metadata State.

  Parameters:
    `inIsParseAllowed` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsParseAllowedState

    void setIsParseAllowedState(int state)
                                throws java.rmi.RemoteException

  Sets the Metadata State of `IsParseAllowed`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsSubstitutionAllowed

    void setIsSubstitutionAllowed(int inIsSubstitutionAllowed)
                                  throws java.rmi.RemoteException

  Sets the `IsSubstitutionAllowed` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsSubstitutionAllowed` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsSubstitutionAllowed

    void setIsSubstitutionAllowed(int inIsSubstitutionAllowed,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the `IsSubstitutionAllowed` Metadata State.

  Parameters:
    `inIsSubstitutionAllowed` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsSubstitutionAllowed

    void setIsSubstitutionAllowed(java.lang.String inIsSubstitutionAllowed)
                                  throws java.rmi.RemoteException

  Sets the `IsSubstitutionAllowed` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsSubstitutionAllowed` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsSubstitutionAllowed

    void setIsSubstitutionAllowed(java.lang.String inIsSubstitutionAllowed,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the `IsSubstitutionAllowed` value and Metadata State.

  Parameters:
    `inIsSubstitutionAllowed` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsSubstitutionAllowedState

    void setIsSubstitutionAllowedState(int state)
                                       throws java.rmi.RemoteException

  Sets the Metadata State of `IsSubstitutionAllowed`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setGroupByForSelects

    void setGroupByForSelects(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `GroupByForSelects` list to be `list`. Objects of which can be of type:
  GroupByClause

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setGroupByForSelects

    void setGroupByForSelects(AssociationList list,
                              int state)
                              throws java.rmi.RemoteException

  Sets the `GroupByForSelects` list to be `list`. Objects of which can be of type:
  GroupByClause

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setGroupByForSelect

    void setGroupByForSelect(GroupByClause inObject)
                             throws java.rmi.RemoteException

  Sets the `GroupByForSelects` list 0th element to be `inObject`.

  Parameters:
    `inObject` - GroupByClause
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHavingForSelects

    void setHavingForSelects(AssociationList list)
                             throws java.rmi.RemoteException

  Sets the `HavingForSelects` list to be `list`. Objects of which can be of type:
  HavingClause

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHavingForSelects

    void setHavingForSelects(AssociationList list,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `HavingForSelects` list to be `list`. Objects of which can be of type:
  HavingClause

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setHavingForSelect

    void setHavingForSelect(HavingClause inObject)
                            throws java.rmi.RemoteException

  Sets the `HavingForSelects` list 0th element to be `inObject`.

  Parameters:
    `inObject` - HavingClause
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOrderByForSelects

    void setOrderByForSelects(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `OrderByForSelects` list to be `list`. Objects of which can be of type:
  OrderByClause

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOrderByForSelects

    void setOrderByForSelects(AssociationList list,
                              int state)
                              throws java.rmi.RemoteException

  Sets the `OrderByForSelects` list to be `list`. Objects of which can be of type:
  OrderByClause

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setOrderByForSelect

    void setOrderByForSelect(OrderByClause inObject)
                             throws java.rmi.RemoteException

  Sets the `OrderByForSelects` list 0th element to be `inObject`.

  Parameters:
    `inObject` - OrderByClause
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWhereForSelects

    void setWhereForSelects(AssociationList list)
                            throws java.rmi.RemoteException

  Sets the `WhereForSelects` list to be `list`. Objects of which can be of type:
  WhereClause

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWhereForSelects

    void setWhereForSelects(AssociationList list,
                            int state)
                            throws java.rmi.RemoteException

  Sets the `WhereForSelects` list to be `list`. Objects of which can be of type:
  WhereClause

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWhereForSelect

    void setWhereForSelect(WhereClause inObject)
                           throws java.rmi.RemoteException

  Sets the `WhereForSelects` list 0th element to be `inObject`.

  Parameters:
    `inObject` - WhereClause
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.